%define name pm-utils
%define version 0.99.2
%define rel %mkrel 0.20070307.8

Name: %name
Version: %version
Release: %rel 
Summary: Power management utilities and scripts
License: GPL
Group: System/Kernel and hardware
Source0: pm-utils-%{version}.tar.bz2
Source1: pm-suspend.pam
Source2: pm-hibernate.pam
Source3: pm-powersave.pam
Source4: pm-suspend.app
Source5: pm-hibernate.app
Source6: pm-powersave.app
Source20: 01bootloader
Source21: 10network
Source22: 92disk
Source23: 30pcmcia
Source24: 40xlock
Source25: 06mysqld
Source26: 00splash
Source27: 15sound
Source50: power-policy.conf
Source51: pm-has-power-policy
Patch1:	pm-utils-0.99.2-service_status.patch
Patch2: pm-utils-0.99.2-s2disk.patch
# (fc) 0.99.2-0.20070307.1mdv allow pm-hibernate/suspend to be called on command line
Patch3: pm-utils-0.99.2-cmdline.patch
# (fc) 0.99.2-0.20070307.2mdv be really FHS compliant
Patch4: pm-utils-0.99.2-fhs.patch
# (fc) 0.99.2-0.20070307.4mdv fix function path for laptool-tools (Mdv bug #29267)
Patch5: pm-utils-0.99.2-functionpath.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: hal-devel 
BuildRequires: pkgconfig 
BuildRequires: pciutils-devel
BuildRequires: dbus-devel

Obsoletes: pmscripts
Obsoletes: suspend-scripts
Provides: suspend-scripts = 1.27

Requires: usermode 
Requires: pciutils
Requires: radeontool
Requires: vbetool
Requires: hal-info
Requires: suspend
Requires: pm-fallback-policy

Conflicts: apmd < 3.2.2-11mdv2007.1
Conflicts: mkinitrd < 4.2.17-27mdv2007.1
Conflicts: initscripts < 8.48-5mdv2007.1

%description
The pm-utils package contains utilities and scripts
useful for power management.

%prep
%setup -q
%patch1 -p1 -b .service_status
%patch2 -p1 -b .s2disk
%patch3 -p1 -b .cmdline
%patch4 -p1 -b .fhs
%patch5 -p1 -b .functionpath

#needed by patch4
automake-1.9

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

install -m 755 -d $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
for x in %{SOURCE1} %{SOURCE2} %{SOURCE3} ; do
	y=$(basename ${x%%.pam})
	install -T -m 644 $x $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/$y
done
install -m 755 -d $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/
for x in %{SOURCE4} %{SOURCE5} %{SOURCE6} ; do
	y=$(basename ${x%%.app})
	install -T -m 644 $x $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/$y
done
install -m 755 -d $RPM_BUILD_ROOT/%{_bindir}
pushd $RPM_BUILD_ROOT/%{_bindir}
for x in pm-hibernate pm-powersave pm-restart pm-shutdown pm-suspend ; do
	ln -sf consolehelper $x
done
popd

install -m 755 %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} %{SOURCE25} %{SOURCE26} %{SOURCE27} $RPM_BUILD_ROOT%{_datadir}/pm-utils/sleep.d/
rm $RPM_BUILD_ROOT%{_datadir}/pm-utils/sleep.d/01grub

install -m 755 %{SOURCE50} -D $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/power-policy.conf
install -m 755 %{SOURCE51} $RPM_BUILD_ROOT%{_bindir}/pm-has-power-policy

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/pm
%dir %{_sysconfdir}/pm/power.d
%dir %{_sysconfdir}/pm/sleep.d
%dir %{_sysconfdir}/pm/config.d
%{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/dbus-1/system.d/power-policy.conf
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/pm-utils
%{_datadir}/pm-utils
%{_mandir}/man*/*


%changelog
* Mon Mar 26 2007 Olivier Blin <oblin@mandriva.com> 0.99.2-0.20070307.8mdv2007.1
+ Revision: 149040
- add script to kill and restore sound applications (ported from suspend-scripts and enhanced by Mark Stosberg, #28910)
- provide suspend-scripts = 1.27

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 0.99.2-0.20070307.7mdv2007.1
+ Revision: 148238
- conflicts with too old mkinitrd and initscripts

* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 0.99.2-0.20070307.6mdv2007.1
+ Revision: 141339
- do not impose resume device to be on kernel command line, prefer the one from suspend.conf if present

* Fri Mar 09 2007 Olivier Blin <oblin@mandriva.com> 0.99.2-0.20070307.5mdv2007.1
+ Revision: 138614
- fix quirk matching when run from command line

* Thu Mar 08 2007 Frederic Crozat <fcrozat@mandriva.com> 0.99.2-0.20070307.4mdv2007.1
+ Revision: 135002
-Patch5: fix function path for laptool-tools (Mdv bug #29267)

* Thu Mar 08 2007 Olivier Blin <oblin@mandriva.com> 0.99.2-0.20070307.3mdv2007.1
+ Revision: 134982
- fix resume= matching on cmdline (thanks to Mooby for the report)

* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 0.99.2-0.20070307.2mdv2007.1
+ Revision: 134558
- Update sources and add patch4: try to be FHS compliant and nice for lib64

* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 0.99.2-0.20070307.1mdv2007.1
+ Revision: 134434
- CVS snapshot of 0.99.2 release (not yet out)
- Update sources 1, 10, 92, 30, 40, 06 for new functions location
- Regenerate patches 1 & 2
- Remove patches 0, 3, merged upstream
- Patch3 : allow quirks when running pm-suspend/hibernate from commandline

* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 0.19-12mdv2007.1
+ Revision: 134206
- Update patch0 to fix radeon quirk launch
- Patch3 (CVS): pm-pmu doesn't output error message on fail anymore

* Fri Mar 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.19-11mdv2007.1
+ Revision: 131579
- Resync patch0 with upstream : use sysctl instead of echo, add support
  for radeon and vga_mode quirk

* Thu Feb 08 2007 Olivier Blin <oblin@mandriva.com> 0.19-10mdv2007.1
+ Revision: 117750
- fix group (#28612)

* Mon Jan 22 2007 Olivier Blin <oblin@mandriva.com> 0.19-9mdv2007.1
+ Revision: 112045
- add splash hook

* Fri Jan 19 2007 Olivier Blin <oblin@mandriva.com> 0.19-8mdv2007.1
+ Revision: 110825
- require pm-fallback-policy

* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 0.19-7mdv2007.1
+ Revision: 110279
- use userspace hibernate by default (by requiring the suspend package)
- add userspace hibernate support (using s2disk)
- add /etc/pm/config.d directory
- make suspend-scripts obsolete
- restart mysqld in 06mysqld hook
- add xlock hook (ported from suspend-scripts)
- add pcmcia hook (based on previous work from Andrey Borzenkov and Michael Reinsch on suspend-scripts)
- add disk hook (using hdparm)
- add network hook
- fix service status check
- add bootloader hook using rebootin and drop grub hook

* Sat Jan 13 2007 Olivier Blin <oblin@mandriva.com> 0.19-5mdv2007.1
+ Revision: 108330
- conflicts will old apmd containing on_ac_power

* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 0.19-4mdv2007.1
+ Revision: 107427
- add pm-has-power-policy helper

* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 0.19-3mdv2007.1
+ Revision: 107394
- allow console users to own org.freedesktop.Policy.Power interface

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 0.19-2mdv2007.1
+ Revision: 105387
- obsolete pmscripts package
- use hal-info to get video resume info (from Richard Hughes) and drop Fedora video patch

* Sun Dec 17 2006 Colin Guthrie <cguthrie@mandriva.org> 0.19-1mdv2007.1
+ Revision: 98286
- Import pm-utils

